Debian Bug report logs - #641128
cython: Compiler crash on 'DEF degree = 3.14/180' (squeeze regression)

version graph

Package: cython; Maintainer for cython is Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>; Source for cython is src:cython.

Reported by: Kirill Smelkov <kirr@mns.spb.ru>

Date: Sat, 10 Sep 2011 16:24:01 UTC

Severity: normal

Found in version cython/0.12.1-1.1

Fixed in version cython/0.15.1-1

Done: Yaroslav Halchenko <debian@onerussian.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>:
Bug#641128; Package cython. (Sat, 10 Sep 2011 16:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kirill Smelkov <kirr@mns.spb.ru>:
New Bug report received and forwarded. Copy sent to Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>. (Sat, 10 Sep 2011 16:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kirill Smelkov <kirr@mns.spb.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cython: Compiler crash on 'DEF degree = 3.14/180' (squeeze regression)
Date: Sat, 10 Sep 2011 20:10:09 +0400
Package: cython
Version: 0.12.1-1.1
Severity: normal

Hello,

for simple example provided below

---- 8< ---- (defbug.pyx)
DEF degree = 3.14/180
---- 8< ----

Cython from Debian Squeeze 0.12.1-1.1 is crashing:

    $ cython defbug.pyx

    Error converting Pyrex file to C:
    ------------------------------------------------------------
    ...
    DEF degree = 3.14/180
                    ^
    ------------------------------------------------------------

    /home/kirr/tmp/trashme/cyt/defbug.pyx:1:17: Error in compile-time expression: TypeError: find_compile_time_binary_operator() takes exactly 3 arguments (4 given)

    Error converting Pyrex file to C:


    $

It used to work with Cython 0.9.8-1 from Debian Lenny.


Thanks beforehand,
Kirill

P.S. I'm reporting this bug from Lenny based system with Cython
cherry-picked from Squeeze. I've also verified that Cython has the same
problem in Squeeze based system too.


-- System Information:
Debian Release: 5.0.8
  APT prefers oldstable
  APT policy: (500, 'oldstable')
Architecture: i386 (i686)

Kernel: Linux 3.0.4-tugrik (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages cython depends on:
ii  libc6                       2.7-18lenny7 GNU C Library: Shared libraries
ii  python                      2.5.2-3      An interactive high-level object-o
ii  python-support              1.0.10       automated rebuilding support for P
ii  python2.6                   2.6.6-8+b1   An interactive high-level object-o

cython recommends no packages.

Versions of packages cython suggests:
ii  gcc                           4:4.3.2-2  The GNU C compiler

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>:
Bug#641128; Package cython. (Sat, 10 Sep 2011 17:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>. (Sat, 10 Sep 2011 17:57:06 GMT) Full text and rfc822 format available.

Message #10 received at 641128@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Kirill Smelkov <kirr@mns.spb.ru>, 641128@bugs.debian.org
Subject: Re: [Python-apps-team] Bug#641128: cython: Compiler crash on 'DEF degree = 3.14/180' (squeeze regression)
Date: Sat, 10 Sep 2011 13:54:55 -0400
Hi Kirill,

could you please check if this issue is present in current cython
version present in Debian unstable/testing 0.14.1 (or may be even recent
upstream release, 0.15 iirc) ?

PS you can initiate a complete sid environment using debootstrap and
login into it with ease using schroot.  both should be present on your
system I guess.

On Sat, 10 Sep 2011, Kirill Smelkov wrote:

> Package: cython
> Version: 0.12.1-1.1
> Severity: normal

> Hello,

> for simple example provided below

> ---- 8< ---- (defbug.pyx)
> DEF degree = 3.14/180
> ---- 8< ----

-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Information forwarded to debian-bugs-dist@lists.debian.org, Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>:
Bug#641128; Package cython. (Sat, 10 Sep 2011 21:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Čertík <ondrej.certik@gmail.com>:
Extra info received and forwarded to list. Copy sent to Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>. (Sat, 10 Sep 2011 21:57:08 GMT) Full text and rfc822 format available.

Message #15 received at 641128@bugs.debian.org (full text, mbox):

From: Ondřej Čertík <ondrej.certik@gmail.com>
To: Kirill Smelkov <kirr@mns.spb.ru>, 641128@bugs.debian.org
Subject: Re: Bug#641128: cython: Compiler crash on 'DEF degree = 3.14/180' (squeeze regression)
Date: Sat, 10 Sep 2011 14:52:52 -0700
Hi Kirill!

On Sat, Sep 10, 2011 at 9:10 AM, Kirill Smelkov <kirr@mns.spb.ru> wrote:
> Package: cython
> Version: 0.12.1-1.1
> Severity: normal
>
> Hello,
>
> for simple example provided below
>
> ---- 8< ---- (defbug.pyx)
> DEF degree = 3.14/180
> ---- 8< ----
>
> Cython from Debian Squeeze 0.12.1-1.1 is crashing:
>
>    $ cython defbug.pyx
>
>    Error converting Pyrex file to C:
>    ------------------------------------------------------------
>    ...
>    DEF degree = 3.14/180
>                    ^
>    ------------------------------------------------------------
>
>    /home/kirr/tmp/trashme/cyt/defbug.pyx:1:17: Error in compile-time expression: TypeError: find_compile_time_binary_operator() takes exactly 3 arguments (4 given)
>
>    Error converting Pyrex file to C:
>
>
>    $
>
> It used to work with Cython 0.9.8-1 from Debian Lenny.

Thanks for reporting the bug. I verified, that it is present in
0.14.1+, but in the latest git master (upstream) b1adce4, it works
again.

So I assume it was already fixed upstream. What exactly is "def degree
= 1.0" supposed to do? I know what this does:

cdef double degree = 1.0

But that is something different (I assume).

Ondrej




Information forwarded to debian-bugs-dist@lists.debian.org, Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>:
Bug#641128; Package cython. (Tue, 13 Sep 2011 08:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kirill Smelkov <kirr@mns.spb.ru>:
Extra info received and forwarded to list. Copy sent to Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>. (Tue, 13 Sep 2011 08:54:09 GMT) Full text and rfc822 format available.

Message #20 received at 641128@bugs.debian.org (full text, mbox):

From: Kirill Smelkov <kirr@mns.spb.ru>
To: Yaroslav Halchenko <debian@onerussian.com>, Ondřej Čertík <ondrej.certik@gmail.com>
Cc: 641128@bugs.debian.org
Subject: Re: [Python-apps-team] Bug#641128: cython: Compiler crash on 'DEF degree = 3.14/180' (squeeze regression)
Date: Tue, 13 Sep 2011 12:39:26 +0400
[Message part 1 (text/plain, inline)]
package cython
tags 641128 patch fixed-upstream
thanks


Yaroslav, Ondřej,

On Sat, Sep 10, 2011 at 01:54:55PM -0400, Yaroslav Halchenko wrote:
> Hi Kirill,
> 
> could you please check if this issue is present in current cython
> version present in Debian unstable/testing 0.14.1 (or may be even recent
> upstream release, 0.15 iirc) ?

On Sat, Sep 10, 2011 at 02:52:52PM -0700, Ondřej Čertík wrote:
> Hi Kirill!
> 
> [snip]
>
> Thanks for reporting the bug. I verified, that it is present in
> 0.14.1+, but in the latest git master (upstream) b1adce4, it works
> again. So I assume it was already fixed upstream.


Thanks for providing feedback. Yes, the bug is already fixed in upstream
master, so I've bisected it and here are the results:

The bug was first introduced in 0.11.rc-407-g3d2aa77

commit 3d2aa773bd79e1e5751de2ea2148696f52580f42
Author: Stefan Behnel <scoder@users.berlios.de>
Date:   Wed Jul 8 21:13:14 2009 +0200

    fix __future__ division semantics for constant expressions and C integers
    
    --HG--
    rename : tests/run/future_division.pyx => tests/run/non_future_division.pyx

[...]
+    def find_compile_time_binary_operator(self, op1, op2):
+        func = compile_time_binary_operators[self.operator]
+        if self.operator == '/' and self.truedivision is None:
+            # => true div for floats, floor div for integers
+            if isinstance(op1, (int,long)) and isinstance(op2, (int,long)):
+                func = compile_time_binary_operators['//']
+        return func
+
+    def calculate_constant_result(self):
+        op1 = self.operand1.constant_result
+        op2 = self.operand2.constant_result
+        func = self.find_compile_time_binary_operator(op1, op2)
+        self.constant_result = func(
+            self.operand1.constant_result,
+            self.operand2.constant_result)
+
+    def compile_time_value(self, denv):
+        operand1 = self.operand1.compile_time_value(denv)
+        operand2 = self.operand2.compile_time_value(denv)
+        try:
+            func = self.find_compile_time_binary_operator(
+                self, operand1, operand2)
                 ^^^^
with erroneous extra `self`,


and fixed in 0.14.1-111-g78e134e (unfortunately without tests):

commit 78e134ede7646bacfaaafb71172fd4f86b890d0f
Author: Robert Bradshaw <robertwb@math.washington.edu>
Date:   Thu Mar 3 11:07:23 2011 -0800

    Fix compile time division.

diff --git a/Cython/Compiler/ExprNodes.py b/Cython/Compiler/ExprNodes.py
index c965251..1fe8538 100755
--- a/Cython/Compiler/ExprNodes.py
+++ b/Cython/Compiler/ExprNodes.py
@@ -5992,7 +5992,7 @@ class DivNode(NumBinopNode):
         operand2 = self.operand2.compile_time_value(denv)
         try:
             func = self.find_compile_time_binary_operator(
-                self, operand1, operand2)
+                operand1, operand2)
             return func(operand1, operand2)
         except Exception, e:
             self.compile_time_value_error(e)


which I think should be backported to Debian Cython packages.



Thanks,
Kirill


P.S.

> What exactly is "def degree = 1.0" supposed to do? I know what this does:
> 
> cdef double degree = 1.0
> 
> But that is something different (I assume).

It's a compile-time definition. From Pyrex manual [1]:

"""
Conditional Compilation
=======================

Some features are available for conditional compilation and
compile-time constants within a Pyrex source file.
 
Compile-Time Definitions
------------------------

A compile-time constant can be defined using the DEF statement:
 
    DEF FavouriteFood = "spam"
    DEF ArraySize = 42
    DEF OtherArraySize = 2 * ArraySize + 17

The right-hand side of the DEF must be a valid compile-time expression.
Such expressions are made up of literal values and names defined using
DEF statements, combined using any of the Python expression syntax.

...
"""

[1] http://www.cosc.canterbury.ac.nz/greg.ewing/python/Pyrex/version/Doc/Manual/basics.html
[0001-Fix-compile-time-division.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>:
Bug#641128; Package cython. (Thu, 15 Sep 2011 16:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>. (Thu, 15 Sep 2011 16:15:10 GMT) Full text and rfc822 format available.

Message #25 received at 641128@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Kirill Smelkov <kirr@mns.spb.ru>
Cc: Ondřej Čertík <ondrej.certik@gmail.com>, 641128@bugs.debian.org
Subject: Re: [Python-apps-team] Bug#641128: cython: Compiler crash on 'DEF degree = 3.14/180' (squeeze regression)
Date: Thu, 15 Sep 2011 12:10:28 -0400
wow -- thanks Kirill for the details!  I think within few days we will
get 0.15  (or post 0.15 snapshot unless 0.15.1 gets released) into
Debian which should close this issue

On Tue, 13 Sep 2011, Kirill Smelkov wrote:


> and fixed in 0.14.1-111-g78e134e (unfortunately without tests):

> commit 78e134ede7646bacfaaafb71172fd4f86b890d0f
> Author: Robert Bradshaw <robertwb@math.washington.edu>
> Date:   Thu Mar 3 11:07:23 2011 -0800

>     Fix compile time division.

> diff --git a/Cython/Compiler/ExprNodes.py b/Cython/Compiler/ExprNodes.py
> index c965251..1fe8538 100755
> --- a/Cython/Compiler/ExprNodes.py
> +++ b/Cython/Compiler/ExprNodes.py
> @@ -5992,7 +5992,7 @@ class DivNode(NumBinopNode):
>          operand2 = self.operand2.compile_time_value(denv)
>          try:
>              func = self.find_compile_time_binary_operator(
> -                self, operand1, operand2)
> +                operand1, operand2)
>              return func(operand1, operand2)
>          except Exception, e:
>              self.compile_time_value_error(e)


> which I think should be backported to Debian Cython packages.



-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Information forwarded to debian-bugs-dist@lists.debian.org, Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>:
Bug#641128; Package cython. (Fri, 16 Sep 2011 08:00:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kirill Smelkov <kirr@mns.spb.ru>:
Extra info received and forwarded to list. Copy sent to Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>. (Fri, 16 Sep 2011 08:00:14 GMT) Full text and rfc822 format available.

Message #30 received at 641128@bugs.debian.org (full text, mbox):

From: Kirill Smelkov <kirr@mns.spb.ru>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: Ondřej Čertík <ondrej.certik@gmail.com>, 641128@bugs.debian.org
Subject: Re: [Python-apps-team] Bug#641128: cython: Compiler crash on 'DEF degree = 3.14/180' (squeeze regression)
Date: Fri, 16 Sep 2011 11:54:24 +0400
On Thu, Sep 15, 2011 at 12:10:28PM -0400, Yaroslav Halchenko wrote:
> wow -- thanks Kirill for the details!  I think within few days we will
> get 0.15  (or post 0.15 snapshot unless 0.15.1 gets released) into
> Debian which should close this issue

Thanks. It's good that 0.15.* will hopefully make it into Sid soon, but
I'd like to clarify that my point here is that we should apply the fix
for the regression to Squeeze as well.

Thanks again,
Kirill


> On Tue, 13 Sep 2011, Kirill Smelkov wrote:
> 
> 
> > and fixed in 0.14.1-111-g78e134e (unfortunately without tests):
> 
> > commit 78e134ede7646bacfaaafb71172fd4f86b890d0f
> > Author: Robert Bradshaw <robertwb@math.washington.edu>
> > Date:   Thu Mar 3 11:07:23 2011 -0800
> 
> >     Fix compile time division.
> 
> > diff --git a/Cython/Compiler/ExprNodes.py b/Cython/Compiler/ExprNodes.py
> > index c965251..1fe8538 100755
> > --- a/Cython/Compiler/ExprNodes.py
> > +++ b/Cython/Compiler/ExprNodes.py
> > @@ -5992,7 +5992,7 @@ class DivNode(NumBinopNode):
> >          operand2 = self.operand2.compile_time_value(denv)
> >          try:
> >              func = self.find_compile_time_binary_operator(
> > -                self, operand1, operand2)
> > +                operand1, operand2)
> >              return func(operand1, operand2)
> >          except Exception, e:
> >              self.compile_time_value_error(e)
> 
> 
> > which I think should be backported to Debian Cython packages.




Information forwarded to debian-bugs-dist@lists.debian.org, Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>:
Bug#641128; Package cython. (Sun, 18 Sep 2011 02:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>. (Sun, 18 Sep 2011 02:27:03 GMT) Full text and rfc822 format available.

Message #35 received at 641128@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: debian-release@lists.debian.org, Kirill Smelkov <kirr@mns.spb.ru>, Ondřej Čertík <ondrej.certik@gmail.com>, 641128@bugs.debian.org
Subject: tentative upload to stable-proposed-updates [cython]
Date: Sat, 17 Sep 2011 22:21:55 -0400
[Message part 1 (text/plain, inline)]
Dear Release team,

I wonder would an upload to s-p-u be ok to fix a regression in cython
package, which is apparently of importance for some users (who even
triaged repository to the specific  commit resolving the issue).  Patch 
(see commit below) will be trivial.

Please let us know so we could prepare the upload.

Best,
Yarik

On Fri, 16 Sep 2011, Kirill Smelkov wrote:
> > wow -- thanks Kirill for the details!  I think within few days we will
> > get 0.15  (or post 0.15 snapshot unless 0.15.1 gets released) into
> > Debian which should close this issue

> Thanks. It's good that 0.15.* will hopefully make it into Sid soon, but
> I'd like to clarify that my point here is that we should apply the fix
> for the regression to Squeeze as well.

> Thanks again,
> Kirill

> > On Tue, 13 Sep 2011, Kirill Smelkov wrote:
> > > and fixed in 0.14.1-111-g78e134e (unfortunately without tests):

> > > commit 78e134ede7646bacfaaafb71172fd4f86b890d0f
> > > Author: Robert Bradshaw <robertwb@math.washington.edu>
> > > Date:   Thu Mar 3 11:07:23 2011 -0800

> > >     Fix compile time division.

> > > diff --git a/Cython/Compiler/ExprNodes.py b/Cython/Compiler/ExprNodes.py
> > > index c965251..1fe8538 100755
> > > --- a/Cython/Compiler/ExprNodes.py
> > > +++ b/Cython/Compiler/ExprNodes.py
> > > @@ -5992,7 +5992,7 @@ class DivNode(NumBinopNode):
> > >          operand2 = self.operand2.compile_time_value(denv)
> > >          try:
> > >              func = self.find_compile_time_binary_operator(
> > > -                self, operand1, operand2)
> > > +                operand1, operand2)
> > >              return func(operand1, operand2)
> > >          except Exception, e:
> > >              self.compile_time_value_error(e)


> > > which I think should be backported to Debian Cython packages.


-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>:
Bug#641128; Package cython. (Sun, 18 Sep 2011 06:15:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Čertík <ondrej.certik@gmail.com>:
Extra info received and forwarded to list. Copy sent to Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>. (Sun, 18 Sep 2011 06:15:23 GMT) Full text and rfc822 format available.

Message #40 received at 641128@bugs.debian.org (full text, mbox):

From: Ondřej Čertík <ondrej.certik@gmail.com>
To: Yaroslav Halchenko <debian@onerussian.com>, 641128@bugs.debian.org
Cc: debian-release@lists.debian.org, Kirill Smelkov <kirr@mns.spb.ru>
Subject: Re: Bug#641128: tentative upload to stable-proposed-updates [cython]
Date: Sat, 17 Sep 2011 23:12:23 -0700
On Sat, Sep 17, 2011 at 7:21 PM, Yaroslav Halchenko
<debian@onerussian.com> wrote:
> Dear Release team,
>
> I wonder would an upload to s-p-u be ok to fix a regression in cython
> package, which is apparently of importance for some users (who even
> triaged repository to the specific  commit resolving the issue).  Patch
> (see commit below) will be trivial.
>
> Please let us know so we could prepare the upload.

The fix looks good to me. Somebody else has to upload it though (I
don't have the rights).

Ondrej Certik  (former Cython maintainer)




Information forwarded to debian-bugs-dist@lists.debian.org, Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>:
Bug#641128; Package cython. (Sun, 18 Sep 2011 15:58:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>. (Sun, 18 Sep 2011 15:58:13 GMT) Full text and rfc822 format available.

Message #45 received at 641128@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: debian-release@lists.debian.org, Kirill Smelkov <kirr@mns.spb.ru>, Ondřej Čertík <ondrej.certik@gmail.com>, 641128@bugs.debian.org
Subject: Re: tentative upload to stable-proposed-updates [cython]
Date: Sun, 18 Sep 2011 16:55:36 +0100
On Sat, 2011-09-17 at 22:21 -0400, Yaroslav Halchenko wrote:
> I wonder would an upload to s-p-u be ok to fix a regression in cython
> package, which is apparently of importance for some users (who even
> triaged repository to the specific  commit resolving the issue).  Patch 
> (see commit below) will be trivial.

Thanks for working on this.

As far as I can see from the log in #641128, this issue is not yet
resolved in unstable?  If that's correct, then while I'd be likely to
accept a stable update fixing the issue, it should be handled in
unstable first.  Once that's happened and there's been no obvious
regressions then we can look at updating stable.

Regards,

Adam





Reply sent to Yaroslav Halchenko <debian@onerussian.com>:
You have taken responsibility. (Tue, 20 Sep 2011 16:21:36 GMT) Full text and rfc822 format available.

Notification sent to Kirill Smelkov <kirr@mns.spb.ru>:
Bug acknowledged by developer. (Tue, 20 Sep 2011 16:21:36 GMT) Full text and rfc822 format available.

Message #50 received at 641128-close@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 641128-close@bugs.debian.org
Subject: Bug#641128: fixed in cython 0.15.1-1
Date: Tue, 20 Sep 2011 16:17:16 +0000
Source: cython
Source-Version: 0.15.1-1

We believe that the bug you reported is fixed in the latest version of
cython, which is due to be installed in the Debian FTP archive:

cython-dbg_0.15.1-1_amd64.deb
  to main/c/cython/cython-dbg_0.15.1-1_amd64.deb
cython_0.15.1-1.debian.tar.gz
  to main/c/cython/cython_0.15.1-1.debian.tar.gz
cython_0.15.1-1.dsc
  to main/c/cython/cython_0.15.1-1.dsc
cython_0.15.1-1_amd64.deb
  to main/c/cython/cython_0.15.1-1_amd64.deb
cython_0.15.1.orig.tar.gz
  to main/c/cython/cython_0.15.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 641128@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yaroslav Halchenko <debian@onerussian.com> (supplier of updated cython package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 20 Sep 2011 10:35:03 -0400
Source: cython
Binary: cython cython-dbg
Architecture: source amd64
Version: 0.15.1-1
Distribution: unstable
Urgency: low
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Changed-By: Yaroslav Halchenko <debian@onerussian.com>
Description: 
 cython     - C-Extensions for Python
 cython-dbg - C-Extensions for Python (Debug Build of Cython)
Closes: 607097 627773 637388 641128
Changes: 
 cython (0.15.1-1) unstable; urgency=low
 .
   [ Nikolaus Rath ]
   * New upstream version (Closes: #637388)
     - cython --help no longer mentions -r option (Closes: #607097)
     - Compiles cleanly with Python 2.7 (Closes: #627773)
     - Fixed compile time division (Closes: #641128)
   * Dropped patches, have been incorporated upstream:
     0001-fix-makefile-for-embed-testcase.patch
     0001-fix-inline-textcase-to-not-use-default-HOME-.cython-.patch
     0001-fix-testcases-assuming-char-is-signed-thanks-to-Yaro.patch
     0001-additional-fix-and-test-for-ticket-650.patch
     0001-Python-3-fix-NumPy-support.patch
 .
   [ Yaroslav Halchenko ]
   * Standards-Version bumped to 3.9.2 (no change needed)
Checksums-Sha1: 
 e6e622870323751a9a44919754f21e1a0d56443b 1468 cython_0.15.1-1.dsc
 c70dc772785077a13f7521ac5921753246eccd72 1796536 cython_0.15.1.orig.tar.gz
 117a23ef3868f7fea648b18279c696af695de3e5 17541 cython_0.15.1-1.debian.tar.gz
 d9e5969d0c718d6aee605452e4f83d970261c0b0 1922450 cython_0.15.1-1_amd64.deb
 09a8a86805f8b82a1bd2c1f978c361a8c722b6a7 7604246 cython-dbg_0.15.1-1_amd64.deb
Checksums-Sha256: 
 a9b2a0d67b7110fe2a916183495fc01b640a12de0992d604947520d2e7cad3a0 1468 cython_0.15.1-1.dsc
 248123f2f02f2701a28d9452132ac835533b396a273cda9d361cb65c26067edc 1796536 cython_0.15.1.orig.tar.gz
 ab9b6ef158d4397392b9b40bbf82d1859548d4746354906e9130cfe4ba1acd32 17541 cython_0.15.1-1.debian.tar.gz
 f62e1e64e4eb8572a70f54ac3e36c1f0b1d015405339b666eb11f70e9d5225e5 1922450 cython_0.15.1-1_amd64.deb
 aeb866a4bcf85b0bd10c49fdb8918e926a281f0cfc13dae4decfc76bbd1a2853 7604246 cython-dbg_0.15.1-1_amd64.deb
Files: 
 4a94b26246cab1125e6148b08bb2d46e 1468 python optional cython_0.15.1-1.dsc
 171021b3845c9ca8bd6d8185b3cde664 1796536 python optional cython_0.15.1.orig.tar.gz
 dae5ecda9806c0baaa4a0efe8a1ed7a5 17541 python optional cython_0.15.1-1.debian.tar.gz
 b27b1782391dd860b73242cd3120a06d 1922450 python optional cython_0.15.1-1_amd64.deb
 9bc23d1c461f65b2f0133034039bfd89 7604246 debug extra cython-dbg_0.15.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk54ujIACgkQjRFFY3XAJMj2BgCfRGOsPkD3ihxVuueKWcOUAJf1
nQgAn3tUqYBbVoaX+P3J4U0QnclHbuR0
=euCI
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Oct 2011 07:34:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:38:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.